uuidtrip(1)

NAME
uuidtrip - generate universally unique identifiers (RFC 4122)

SYNOPSIS
uuidtrip [options...]

DESCRIPTION
uuidtrip generates and prints universally unique identifiers version 3, 5 (name based with MD5, SHA-1 hashing) and 4 (random based) according to RFC 4122. uuidtrip provides command line access for most functions of the UUIDM library.

OPTIONS

-r  Generate a random based UUID version 4. This is the default.

-ns uuid
    set the name space for version 3 and version 5 name based UUID's (options -md5 and -sha1). The default is the DNS namespace.

-name name
    set the name for version 3 and version 5 name based UUID's (options -md5 and -sha1). The default is www.example.org.

-md5
    Generate an MD5 name based UUID version 3.

-sha1
    Generate an SHA-1 name based UUID version 5.

-u  Output the generated UUID as string with uppercase letters (default is lowercase letters).

-b  Output the generated UUID as raw bytes (binary).

-help
    Print the list of options and exit

--help
    Alias for -help

SEE ALSO

RFC 4122

API documentation at /usr/share/doc/libuuidm-ocaml-dev/html/

AUTHOR
This manual page was written by Hendrik Tews <hendrik@askra.de>, specifically for the Debian project (and may be used by others).